package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Site multicast rate limit setting
 */
@ApiModel(description = "Site multicast rate limit setting")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SiteMulticastRateLimitSetting   {
  @JsonProperty("mcastRateLimit")
  private McastRateLimitSettingVo mcastRateLimit;

  public SiteMulticastRateLimitSetting mcastRateLimit(McastRateLimitSettingVo mcastRateLimit) {
    this.mcastRateLimit = mcastRateLimit;
    return this;
  }

  /**
   * Get mcastRateLimit
   * @return mcastRateLimit
  */
  @ApiModelProperty(value = "")

  @Valid

  public McastRateLimitSettingVo getMcastRateLimit() {
    return mcastRateLimit;
  }

  public void setMcastRateLimit(McastRateLimitSettingVo mcastRateLimit) {
    this.mcastRateLimit = mcastRateLimit;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteMulticastRateLimitSetting siteMulticastRateLimitSetting = (SiteMulticastRateLimitSetting) o;
    return Objects.equals(this.mcastRateLimit, siteMulticastRateLimitSetting.mcastRateLimit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mcastRateLimit);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteMulticastRateLimitSetting {\n");
    
    sb.append("    mcastRateLimit: ").append(toIndentedString(mcastRateLimit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

